Get campaigns associated with an email
curl --request GET \
--url https://api.instantly.ai/api/v2/account-campaign-mappings/{email} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/account-campaign-mappings/{email}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/account-campaign-mappings/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/account-campaign-mappings/{email}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/account-campaign-mappings/{email}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/account-campaign-mappings/{email}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"campaign_id": "01a082d0-32dd-72cd-9d8e-371bd21ef5e7",
"campaign_name": "Campaign Name",
"timestamp_created": "2026-09-08T20:57:57.725Z",
"status": 1
}
],
"next_starting_after": "01a082d0-82f0-7e27-acb6-adcad1a92214"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Account Campaign Mapping
Get campaigns associated with an email
Requires one of the following scopes: account_campaign_mappings:read, account_campaign_mappings:all, all:read, all:all
GET
/
api
/
v2
/
account-campaign-mappings
/
{email}
Get campaigns associated with an email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"user@example.com"
Response
The list of Account Campaign Mapping
The list of Account Campaign Mapping
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
Examples:
"01a082d0-82f0-7e27-acb6-adcad1a92214"
"2026-09-08T20:58:18.224Z"